Skip to main content
`Ctrl`+`K`

# MatPartitioningType

String with the name of a PETSc matrix partitioning

## Synopsis

    typedef const char *MatPartitioningType;
    #define MATPARTITIONINGCURRENT  "current"
    #define MATPARTITIONINGAVERAGE  "average"
    #define MATPARTITIONINGSQUARE   "square"
    #define MATPARTITIONINGPARMETIS "parmetis"
    #define MATPARTITIONINGCHACO    "chaco"
    #define MATPARTITIONINGPARTY    "party"
    #define MATPARTITIONINGPTSCOTCH "ptscotch"
    #define MATPARTITIONINGHIERARCH "hierarch"

dm

## See Also

Matrices, Graph Operations, `Mat`, `MatPartitioningCreate()`, `MatPartitioning`, `MatPartitioningSetType()`, `MatColoringType`, `MatOrderingType`, `MatCoarsenType`, `MatCoarsenType`

## Level

beginner

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages